Package org.eclipse.emf.cdo.net4j

# Interface RecoveringCDOSessionConfiguration

All Superinterfaces:
  `CDONet4jSessionConfiguration`, `CDOSessionConfiguration`, `CDOSessionConfiguration`, `org.eclipse.net4j.util.event.INotifier`

All Known Subinterfaces:
  `FailoverCDOSessionConfiguration`, `ReconnectingCDOSessionConfiguration`

public interface RecoveringCDOSessionConfiguration extends CDOSessionConfiguration
A `session configuration` that uses a `heart beat protocol` to detect network problems. Subtypes specify the exact behavior to recover from these problems.

Since:
  4.0
Author:
  Caspar De Groot
No Implement
  This interface is not intended to be implemented by clients.
No Extend
  This interface is not intended to be extended by clients.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.session.CDOSessionConfiguration

`CDOSessionConfiguration.SessionOpenedEvent`

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.INotifier

`org.eclipse.net4j.util.event.INotifier.INotifier2`

## Method Summary

Modifier and Type
Method
Description
`long`
`getConnectorTimeout()`
`long`
`getHeartBeatPeriod()`
`long`
`getHeartBeatTimeout()`
`boolean`
`isHeartBeatEnabled()`
`void`
`setConnectorTimeout(long timeout)`
`void`
`setHeartBeatEnabled(boolean enabled)`
`void`
`setHeartBeatPeriod(long period)`
`void`
`setHeartBeatTimeout(long timeout)`

### Methods inherited from interface org.eclipse.emf.cdo.net4j.CDONet4jSessionConfiguration

`getBranchManager, getConnector, getPackageRegistry, getRepositoryName, getRevisionManager, getSignalTimeout, getStreamWrapper, openNet4jSession, openSession, setBranchManager, setConnector, setPackageRegistry, setRepositoryName, setRevisionManager, setSignalTimeout, setStreamWrapper`

### Methods inherited from interface org.eclipse.emf.cdo.session.CDOSessionConfiguration

`getAuthenticator, getCredentialsProvider, getExceptionHandler, getFetchRuleManager, getIDGenerator, getLockNotificationMode, getPassiveUpdateMode, getUserID, isActivateOnOpen, isPassiveUpdateEnabled, isSessionOpen, setActivateOnOpen, setCredentialsProvider, setExceptionHandler, setFetchRuleManager, setIDGenerator, setLockNotificationMode, setPassiveUpdateEnabled, setPassiveUpdateMode, setUserID`

### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

`addListener, getListeners, hasListeners, removeListener`

## Method Details

### isHeartBeatEnabled

boolean isHeartBeatEnabled()

### setHeartBeatEnabled

void setHeartBeatEnabled(boolean enabled)

### getHeartBeatPeriod

long getHeartBeatPeriod()

### setHeartBeatPeriod

void setHeartBeatPeriod(long period)

### getHeartBeatTimeout

long getHeartBeatTimeout()

### setHeartBeatTimeout

void setHeartBeatTimeout(long timeout)

### getConnectorTimeout

long getConnectorTimeout()

### setConnectorTimeout

void setConnectorTimeout(long timeout)